Opened 18 months ago

Closed 18 months ago

Last modified 18 months ago

#1735 closed help (answered)

building the LEM on ARCHER

Reported by: bethan.white Owned by: um_support
Priority: normal Component: Large Eddy Model
Keywords: GCOM Cc:
Platform: ARCHER UM Version: <select version>

Description

posted on behalf of Bethan White — answered Bethan wrt new helpdesk account -awaiting further contact, hence closed this for now.

Hi Grenville,
The LEM docs say:
'If you are running the LEM in parallel you will need to set the path for the GCOM libraries. In the
makefile, these paths would be added next to GCOM1 and GCOM2 - look at NEC for an
example of this.'
The Makefile contains
GCOM1=-L/home/um1/gcom/gcom2.9b8/lib \
-I/home/um1/gcom/gcom2.9b8/build/include
GCOM2=-lgcom_mpi_buffered
And the advice I had from Adrian Hill was 'get the right GCOM somewhere', so perhaps I just need to try the versions in /work/n02/n02/hum/gcom/cce8.3.7
I've not compiled the LEM before, so I'm likely to come back with more questions. Is the NCAS CMS helpdesk a more appropriate place for this? Unfortunately, yesterday I realised that I've forgotten my password, and my email address on my account is an old, dead address from Leeds… if this can be fixed (or if I create a new account), I can move any LEM questions over there if more appropriate?
Thanks,
Bethan

Change History (3)

comment:1 Changed 18 months ago by grenville

  • Resolution set to answered
  • Status changed from new to closed

comment:2 Changed 18 months ago by grenville

  • Reporter changed from grenville to bethan.white

comment:3 Changed 18 months ago by grenville

I have suggested by email that Bethan tries gcom3.8 and that paths and library names differ for later gcom versions.

Grenville

Note: See TracTickets for help on using tickets.